summaryrefslogtreecommitdiff
path: root/tests/mv/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/update.sh')
-rwxr-xr-xtests/mv/update.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/mv/update.sh b/tests/mv/update.sh
index 688a8f2d6..4c0553a5c 100755
--- a/tests/mv/update.sh
+++ b/tests/mv/update.sh
@@ -30,7 +30,7 @@ for interactive in '' -i; do
# With coreutils-6.9 and earlier, using --update with -i would
# mistakenly elicit a prompt.
$cp_or_mv $interactive --update old new < /dev/null > out 2>&1 || fail=1
- test -s out && fail=1
+ compare /dev/null out || fail=1
case "$(cat new)" in new) ;; *) fail=1 ;; esac
case "$(cat old)" in old) ;; *) fail=1 ;; esac
done